Open CASCADE Technology: IGESData_BasicEditor Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
IGESData_BasicEditor Class Reference

This class provides various functions of basic edition, such as : More...

`#include <IGESData_BasicEditor.hxx>`

## Public Member Functions
| IGESData_BasicEditor ()
| Creates an empty Basic Editor which should be initialized via Init() method. More...
| IGESData_BasicEditor (const Handle< IGESData_Protocol > &protocol)
| Creates a Basic Editor, with a new IGESModel, ready to run. More...
| IGESData_BasicEditor (const Handle< IGESData_IGESModel > &model, const Handle< IGESData_Protocol > &protocol)
| Creates a Basic Editor for IGES Data, ready to run. More...
void | Init (const Handle< IGESData_Protocol > &protocol)
| Initialize a Basic Editor, with a new IGESModel, ready to run. More...
void | Init (const Handle< IGESData_IGESModel > &model, const Handle< IGESData_Protocol > &protocol)
| Initialize a Basic Editor for IGES Data, ready to run. More...
Handle< IGESData_IGESModel > | Model () const
| Returns the designated model. More...
Standard_Boolean | SetUnitFlag (const Standard_Integer flag)
| Sets a new unit from its flag (param 14 of Global Section) Returns True if done, False if <flag> is incorrect. More...
Standard_Boolean | SetUnitValue (const Standard_Real val)
| Sets a new unit from its value in meters (rounded to the closest one, max gap 1%) Returns True if done, False if <val> is too far from a suitable value. More...
Standard_Boolean | SetUnitName (const Standard_CString name)
| Sets a new unit from its name (param 15 of Global Section) Returns True if done, False if <name> is incorrect Remark : if <flag> has been set to 3 (user defined), <name> is then free. More...
void | ApplyUnit (const Standard_Boolean enforce=Standard_False)
| Applies unit value to convert header data : Resolution, MaxCoord, MaxLineWeight Applies unit only once after SetUnit... has been called, if <enforce> is given as True. It can be called just before writing the model to a file, i.e. when definitive values are finally known. More...
void | ComputeStatus ()
| Performs the re-computation of status on the whole model (Subordinate Status and Use Flag of each IGES Entity), which can have required values according the way they are referenced (see definitions of Logical use, Physical use, etc...) More...
Standard_Boolean | AutoCorrect (const Handle< IGESData_IGESEntity > &ent)
| Performs auto-correction on an IGESEntity Returns True if something has changed, False if nothing done. More...
Standard_Integer | AutoCorrectModel ()
| Performs auto-correction on the whole Model Returns the count of modified entities. More...

## Static Public Member Functions
static Standard_Integer | UnitNameFlag (const Standard_CString name)
| From the name of unit, computes flag number, 0 if incorrect (in this case, user defined entity remains possible) More...
static Standard_Real | UnitFlagValue (const Standard_Integer flag)
| From the flag of unit, determines value in MM, 0 if incorrect. More...
static Standard_CString | UnitFlagName (const Standard_Integer flag)
| From the flag of unit, determines its name, "" if incorrect. More...
static Standard_CString | IGESVersionName (const Standard_Integer flag)
| From the flag of IGES version, returns name, "" if incorrect. More...
static Standard_Integer | IGESVersionMax ()
| Returns the maximum allowed value for IGESVersion Flag. More...
static Standard_CString | DraftingName (const Standard_Integer flag)
| From the flag of drafting standard, returns name, "" if incorrect. More...
static Standard_Integer | DraftingMax ()
| Returns the maximum allowed value for Drafting Flag. More...

## Detailed Description

This class provides various functions of basic edition, such as :

- setting header unit (WARNING : DOES NOT convert entities)
- computation of the status (Subordinate, UseFlag) of entities of IGES Entities on a whole model
- auto correction of IGES Entities, defined both by DirChecker and by specific service AutoCorrect (this auto correction performs non-ambigious, rather logic, editions)

## Constructor & Destructor Documentation

IGESData_BasicEditor::IGESData_BasicEditor | ( |  | ) |

Creates an empty Basic Editor which should be initialized via Init() method.

IGESData_BasicEditor::IGESData_BasicEditor | ( | const Handle< IGESData_Protocol > & | protocol | ) |

Creates a Basic Editor, with a new IGESModel, ready to run.

IGESData_BasicEditor::IGESData_BasicEditor | ( | const Handle< IGESData_IGESModel > & | model,
|  | const Handle< IGESData_Protocol > & | protocol
| ) |  |

Creates a Basic Editor for IGES Data, ready to run.

## Member Function Documentation

void IGESData_BasicEditor::ApplyUnit | ( | const Standard_Boolean | enforce = `Standard_False` | ) |

Applies unit value to convert header data : Resolution, MaxCoord, MaxLineWeight Applies unit only once after SetUnit... has been called, if <enforce> is given as True. It can be called just before writing the model to a file, i.e. when definitive values are finally known.

Standard_Boolean IGESData_BasicEditor::AutoCorrect | ( | const Handle< IGESData_IGESEntity > & | ent | ) |

Performs auto-correction on an IGESEntity Returns True if something has changed, False if nothing done.

Works with the specific IGES Services : DirChecker which allows to correct data in "Directory Part" of Entities (such as required values for status, or references to be null), and the specific IGES service OwnCorrect, which is specialised for each type of entity.

Standard_Integer IGESData_BasicEditor::AutoCorrectModel | ( |  | ) |

Performs auto-correction on the whole Model Returns the count of modified entities.

void IGESData_BasicEditor::ComputeStatus | ( |  | ) |

Performs the re-computation of status on the whole model (Subordinate Status and Use Flag of each IGES Entity), which can have required values according the way they are referenced (see definitions of Logical use, Physical use, etc...)

static Standard_Integer IGESData_BasicEditor::DraftingMax | ( |  | ) |
| static

Returns the maximum allowed value for Drafting Flag.

static Standard_CString IGESData_BasicEditor::DraftingName | ( | const Standard_Integer | flag | ) |
| static

From the flag of drafting standard, returns name, "" if incorrect.

static Standard_Integer IGESData_BasicEditor::IGESVersionMax | ( |  | ) |
| static

Returns the maximum allowed value for IGESVersion Flag.

static Standard_CString IGESData_BasicEditor::IGESVersionName | ( | const Standard_Integer | flag | ) |
| static

From the flag of IGES version, returns name, "" if incorrect.

void IGESData_BasicEditor::Init | ( | const Handle< IGESData_Protocol > & | protocol | ) |

Initialize a Basic Editor, with a new IGESModel, ready to run.

void IGESData_BasicEditor::Init | ( | const Handle< IGESData_IGESModel > & | model,
|  | const Handle< IGESData_Protocol > & | protocol
| ) |  |

Initialize a Basic Editor for IGES Data, ready to run.

Handle< IGESData_IGESModel > IGESData_BasicEditor::Model | ( |  | ) | const

Returns the designated model.

Standard_Boolean IGESData_BasicEditor::SetUnitFlag | ( | const Standard_Integer | flag | ) |

Sets a new unit from its flag (param 14 of Global Section) Returns True if done, False if <flag> is incorrect.

Standard_Boolean IGESData_BasicEditor::SetUnitName | ( | const Standard_CString | name | ) |

Sets a new unit from its name (param 15 of Global Section) Returns True if done, False if <name> is incorrect Remark : if <flag> has been set to 3 (user defined), <name> is then free.

Standard_Boolean IGESData_BasicEditor::SetUnitValue | ( | const Standard_Real | val | ) |

Sets a new unit from its value in meters (rounded to the closest one, max gap 1%) Returns True if done, False if <val> is too far from a suitable value.

static Standard_CString IGESData_BasicEditor::UnitFlagName | ( | const Standard_Integer | flag | ) |
| static

From the flag of unit, determines its name, "" if incorrect.

static Standard_Real IGESData_BasicEditor::UnitFlagValue | ( | const Standard_Integer | flag | ) |
| static

From the flag of unit, determines value in MM, 0 if incorrect.

static Standard_Integer IGESData_BasicEditor::UnitNameFlag | ( | const Standard_CString | name | ) |
| static

From the name of unit, computes flag number, 0 if incorrect (in this case, user defined entity remains possible)

The documentation for this class was generated from the following file:

- IGESData_BasicEditor.hxx